EDIT - feature request #9697

Remaining issues for reimplementation of termtree editors
07/05/2021 08:03 PM - Andreas Mdller

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal

Description

copied from #9337

Show supplemental data for term trees (term nodes already work #10335)

Show term data in details view (#10354)

Issues to "Improve (large) term tree" editing #10325

For a very short time it still seems to open it on bottom and then moves it up. This looks not nice (though not critical). This only
happens when opening a termtree editor the first time, when closing and reopening the editor it opens at the right place.
Tree collapses sometimes after save

d&d from vocabulary editor to character editor not yet supported (maybe handled in #8554, #8238)

Decide if Characters should not be possible to exist in Feature tree (but ofcourse not the other way round) - see also #8554,
#8238

Improve symbols for flags in use for term trees in term tree editor (#9700) this is implemented for hierarchical collections
Show error message when feature tree can not be shown because of dirty data (#9334)

e fix remaining issue in #8756 (refresh button for structure tree and property tree in Character Editor)

When deleting a tree and then saving for a short time the tree reappears in the Ul which is confusing (low priority)

New-menu-n-term-tree-editorshould-have-alternativesterflags#9643
All DTOs should be created without cdm objects #10316
Related issues:

Related to EDIT - feature request #8238: Allow interoperability between term ... Feedback
Related to EDIT - bug #9334: Show error message when feature tree can not be ... New
Related to EDIT - feature request #9700: Improve symbols for flags in use for... New
Related to EDIT - feature request #8756: Refresh button for structure tree an... Feedback
Related to EDIT - feature request #9643: New menu in term tree editor should ... Rejected
Related to EDIT - bug #10316: Improve TermDto creation New
Related to EDIT - feature request #10325: Improve (large) termtree editing New
Related to EDIT - feature request #6794: Improve term structure In Progress
Copied from EDIT - feature request #9337: Open issues for reimplementation of... Closed
Copied to EDIT - feature request #10353: Implement supplemental data editing ... New
Copied to EDIT - feature request #10354: Show term data in term node details ... Closed
History

#1 - 07/05/2021 08:10 PM - Andreas Miiller

- Copied from feature request #9337: Open issues for reimplementation of termtree editors added

#2 - 07/05/2021 09:06 PM - Andreas Miiller
- Description updated

#3 - 07/06/2021 01:09 PM - Andreas Miiller

- Related to feature request #8238: Allow interoperability between term trees added

#4 - 07/06/2021 01:18 PM - Andreas Miiller

- Related to feature request #9288: Add symbols for flags in use for term trees in term tree editor added

#5 - 07/06/2021 01:18 PM - Andreas Miiller
- Related to bug #9334: Show error message when feature tree can not be shown because of dirty data added

#6 - 07/07/2021 04:16 PM - Andreas Miiller

- Related to feature request #9700: Improve symbols for flags in use for term trees in term tree editor added

#7 - 07/07/2021 04:16 PM - Andreas Miiller

- Related to deleted (feature request #9288: Add symbols for flags in use for term trees in term tree editor)

#8 - 07/07/2021 04:17 PM - Andreas Miiller
- Description updated

#9 - 07/07/2021 04:18 PM - Andreas Miiller

- Related to feature request #8756: Refresh button for structure tree and property tree in Character Editor added

#10 - 07/07/2021 04:18 PM - Andreas Miiller

- Related to feature request #9643: New menu in term tree editor should have alternatives for flags added

#11 - 05/03/2023 02:08 PM - Katja Luther

- Description updated

#12 - 05/03/2023 02:08 PM - Katja Luther
- Related to bug #10316: Improve TermDto creation added

#13 - 05/27/2023 12:25 PM - Andreas Miiller
- Related to feature request #10325: Improve (large) termtree editing added

#14 - 05/27/2023 12:26 PM - Andreas Miiller
- Tags set to terms

- Description updated

#15 - 06/20/2023 12:32 PM - Andreas Miiller

- Description updated

#16 - 06/20/2023 12:34 PM - Andreas Miiller

- Description updated

#17 - 06/20/2023 12:35 PM - Andreas Miiller

- Description updated

#18 - 06/20/2023 12:38 PM - Andreas Miiller

- Related to feature request #6794: Improve term structure added

#19 - 06/20/2023 12:39 PM - Andreas Miiller

- Copied to feature request #10353: Implement supplemental data editing for term trees added

#20 - 06/20/2023 12:40 PM - Andreas Miiller

- Description updated

#21 - 06/20/2023 12:46 PM - Andreas Miiller

- Description updated

#22 - 06/20/2023 12:47 PM - Andreas Miiller

- Copied to feature request #10354: Show term data in term node details view added
